<?php
namespace app\common\sms;

use app\common\sms\SmskingSms;
use think\Exception;

class SmsFactory
{
    public static function createSmsService($serviceName) {
        switch ($serviceName) {
            case 'smsking':
                return new SmskingSms('slash1000','a810309');
            default:
                throw new Exception("Unsupported sms service: $serviceName");
        }
    }
}